#!/bin/bash

# Set image name and tag
IMAGE_NAME="ssvc-rimsting-vote"
TAG="latest"

# Build the Docker image
echo "Building Docker image: ${IMAGE_NAME}:${TAG}"
docker build -t ${IMAGE_NAME}:${TAG} .

# Check if build was successful
if [ $? -eq 0 ]; then
  echo "Docker image built successfully!"
  echo ""
  echo "Image details:"
  docker images ${IMAGE_NAME}:${TAG}
  echo ""
  echo "To run the container:"
  echo "docker run -p 3000:3000 ${IMAGE_NAME}:${TAG}"
  echo ""
  echo "To run the container with persistent data volume:"
  echo "docker run -p 3000:3000 -v $(pwd)/data:/app/data ${IMAGE_NAME}:${TAG}"
else
  echo "Error building Docker image"
  exit 1
fi
