import { getSettings } from '@/lib/server-auth';
import { NextResponse } from 'next/server';

export async function GET() {
  try {
    // Get settings
    const settings = getSettings();

    return NextResponse.json({ settings });
  } catch (error) {
    console.error('Error getting settings:', error);
    return NextResponse.json(
      { error: 'Fehler beim Abrufen der Einstellungen' },
      { status: 500 }
    );
  }
}
